org.eclipse.viatra.query.patternlanguage.emf.validation

## Class IssueCodes

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.validation.IssueCodes

-     public final class IssueCodes
      extends java.lang.Object

  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AGGREGATED_FEATURE_CHAIN`
    `static java.lang.String` | `ANONYM_VARIABLE_MULTIPLE_REFERENCE`
    `static java.lang.String` | `CARTESIAN_SOFT_WARNING`
    `static java.lang.String` | `CARTESIAN_STRICT_WARNING`
    `static java.lang.String` | `CHECK_CONSTRAINT_SCALAR_VARIABLE_ERROR`
    `static java.lang.String` | `CHECK_MUST_BE_BOOLEAN`
    `static java.lang.String` | `CHECK_WITH_IMPURE_JAVA_CALLS`
    `static java.lang.String` | `CONSTANT_COMPARE_CONSTRAINT`
    `static java.lang.String` | `DEPRECATION`
    `static java.lang.String` | `DUBIUS_VARIABLE_NAME`
    `static java.lang.String` | `DUPLICATE_IMPORT`
    `static java.lang.String` | `DUPLICATE_PATTERN_DEFINITION`
    `static java.lang.String` | `DUPLICATE_PATTERN_PARAMETER_NAME`
    `static java.lang.String` | `EVAL_INCORRECT_RETURNVALUE`
    `static java.lang.String` | `FEATURE_NOT_REPRESENTABLE`
    `static java.lang.String` | `IDENTIFIER_AS_KEYWORD`
    `static java.lang.String` | `IMPORT_DEPENDENCY_MISSING`
    `static java.lang.String` | `IMPORT_WITH_GENERATEDCODE`
    `static java.lang.String` | `INVALID_AGGREGATE_CONTEXT`
    `static java.lang.String` | `INVALID_AGGREGATOR`
    `static java.lang.String` | `INVALID_AGGREGATOR_PARAMETER`
    `static java.lang.String` | `INVALID_ENUM_LITERAL`
    `static java.lang.String` | `INVALID_EXECUTION_TYPE`
    `static java.lang.String` | `IQR_NOT_ON_CLASSPATH`
    `protected static java.lang.String` | `ISSUE_CODE_PREFIX`
    `static java.lang.String` | `JAVA_TYPE_PREFIX` This prefix is used to distinguish between Java and EMF parameter type proposals
    `static java.lang.String` | `JDK_NOT_ON_CLASSPATH`
    `static java.lang.String` | `LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_COMPARE`
    `static java.lang.String` | `LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATH_EXPRESSION`
    `static java.lang.String` | `LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATTERN_CALL`
    `static java.lang.String` | `LOCAL_VARIABLE_NO_POSITIVE_REFERENCE`
    `static java.lang.String` | `LOCAL_VARIABLE_QUANTIFIED_REFERENCE`
    `static java.lang.String` | `LOCAL_VARIABLE_READONLY`
    `static java.lang.String` | `LOCAL_VARIABLE_REFERENCED_ONCE`
    `static java.lang.String` | `LOWERCASE_PATTERN_NAME`
    `static java.lang.String` | `MISSING_PACKAGE_IMPORT`
    `static java.lang.String` | `MISSING_PARAMETER_TYPE`
    `static java.lang.String` | `MISSING_PATTERN_PARAMETERS`
    `static java.lang.String` | `MISSING_REQUIRED_ANNOTATION_PARAMETER`
    `static java.lang.String` | `MISTYPED_ANNOTATION_PARAMETER`
    `static java.lang.String` | `MISTYPED_PARAMETER`
    `static java.lang.String` | `NEGATIVE_PATTERN_CALL_WITH_ONLY_SINGLE_USE_VARIABLES`
    `static java.lang.String` | `OTHER_ISSUE`
    `static java.lang.String` | `PACKAGE_NAME_EMPTY`
    `static java.lang.String` | `PACKAGE_NAME_MISMATCH`
    `static java.lang.String` | `PARAMETER_TYPE_AMBIGUOUS`
    `static java.lang.String` | `PARAMETER_TYPE_INVALID`
    `static java.lang.String` | `PATTERN_BODY_EMPTY`
    `static java.lang.String` | `PRIVATE_PATTERN_CALLED`
    `static java.lang.String` | `RECURSIVE_PATTERN_CALL`
    `static java.lang.String` | `SELF_COMPARE_CONSTRAINT`
    `static java.lang.String` | `SINGLEUSE_PARAMETER`
    `static java.lang.String` | `SURROGATE_QUERY_EXISTS`
    `static java.lang.String` | `SYMBOLIC_VARIABLE_NEVER_REFERENCED`
    `static java.lang.String` | `SYMBOLIC_VARIABLE_NO_POSITIVE_REFERENCE`
    `static java.lang.String` | `TRANSITIVE_PATTERNCALL_ARITY`
    `static java.lang.String` | `TRANSITIVE_PATTERNCALL_NOT_APPLICABLE`
    `static java.lang.String` | `TRANSITIVE_PATTERNCALL_TYPE`
    `static java.lang.String` | `TYPE_NOT_ON_CLASSPATH`
    `static java.lang.String` | `UNEXPECTED_AGGREGATE`
    `static java.lang.String` | `UNKNOWN_ANNOTATION`
    `static java.lang.String` | `UNKNOWN_ANNOTATION_PARAMETER`
    `static java.lang.String` | `UNUSED_PRIVATE_PATTERN`
    `static java.lang.String` | `VARIABLE_TYPE_INVALID_ERROR`
    `static java.lang.String` | `VARIABLE_TYPE_INVALID_WARNING`
    `static java.lang.String` | `VARIABLE_TYPE_MULTIPLE_DECLARATION`
    `static java.lang.String` | `WRONG_NUMBER_PATTERNCALL_PARAMETER`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ISSUE_CODE_PREFIX

          protected static final java.lang.String ISSUE_CODE_PREFIX

      See Also:
        Constant Field Values

    - #### DUPLICATE_PATTERN_PARAMETER_NAME

          public static final java.lang.String DUPLICATE_PATTERN_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### DUPLICATE_PATTERN_DEFINITION

          public static final java.lang.String DUPLICATE_PATTERN_DEFINITION

      See Also:
        Constant Field Values

    - #### WRONG_NUMBER_PATTERNCALL_PARAMETER

          public static final java.lang.String WRONG_NUMBER_PATTERNCALL_PARAMETER

      See Also:
        Constant Field Values

    - #### TRANSITIVE_PATTERNCALL_NOT_APPLICABLE

          public static final java.lang.String TRANSITIVE_PATTERNCALL_NOT_APPLICABLE

      See Also:
        Constant Field Values

    - #### TRANSITIVE_PATTERNCALL_ARITY

          public static final java.lang.String TRANSITIVE_PATTERNCALL_ARITY

      See Also:
        Constant Field Values

    - #### TRANSITIVE_PATTERNCALL_TYPE

          public static final java.lang.String TRANSITIVE_PATTERNCALL_TYPE

      See Also:
        Constant Field Values

    - #### PATTERN_BODY_EMPTY

          public static final java.lang.String PATTERN_BODY_EMPTY

      See Also:
        Constant Field Values

    - #### PRIVATE_PATTERN_CALLED

          public static final java.lang.String PRIVATE_PATTERN_CALLED

      See Also:
        Constant Field Values

    - #### UNKNOWN_ANNOTATION

          public static final java.lang.String UNKNOWN_ANNOTATION

      See Also:
        Constant Field Values

    - #### UNKNOWN_ANNOTATION_PARAMETER

          public static final java.lang.String UNKNOWN_ANNOTATION_PARAMETER

      See Also:
        Constant Field Values

    - #### MISSING_REQUIRED_ANNOTATION_PARAMETER

          public static final java.lang.String MISSING_REQUIRED_ANNOTATION_PARAMETER

      See Also:
        Constant Field Values

    - #### MISTYPED_ANNOTATION_PARAMETER

          public static final java.lang.String MISTYPED_ANNOTATION_PARAMETER

      See Also:
        Constant Field Values

    - #### MISTYPED_PARAMETER

          public static final java.lang.String MISTYPED_PARAMETER

      Since:
        1.5
      See Also:
        Constant Field Values

    - #### CONSTANT_COMPARE_CONSTRAINT

          public static final java.lang.String CONSTANT_COMPARE_CONSTRAINT

      See Also:
        Constant Field Values

    - #### SELF_COMPARE_CONSTRAINT

          public static final java.lang.String SELF_COMPARE_CONSTRAINT

      See Also:
        Constant Field Values

    - #### PACKAGE_NAME_MISMATCH

          public static final java.lang.String PACKAGE_NAME_MISMATCH

      See Also:
        Constant Field Values

    - #### PACKAGE_NAME_EMPTY

          public static final java.lang.String PACKAGE_NAME_EMPTY

      See Also:
        Constant Field Values

    - #### LOWERCASE_PATTERN_NAME

          public static final java.lang.String LOWERCASE_PATTERN_NAME

      See Also:
        Constant Field Values

    - #### UNUSED_PRIVATE_PATTERN

          public static final java.lang.String UNUSED_PRIVATE_PATTERN

      See Also:
        Constant Field Values

    - #### MISSING_PATTERN_PARAMETERS

          public static final java.lang.String MISSING_PATTERN_PARAMETERS

      See Also:
        Constant Field Values

    - #### CHECK_MUST_BE_BOOLEAN

          public static final java.lang.String CHECK_MUST_BE_BOOLEAN

      See Also:
        Constant Field Values

    - #### CHECK_WITH_IMPURE_JAVA_CALLS

          public static final java.lang.String CHECK_WITH_IMPURE_JAVA_CALLS

      See Also:
        Constant Field Values

    - #### EVAL_INCORRECT_RETURNVALUE

          public static final java.lang.String EVAL_INCORRECT_RETURNVALUE

      Since:
        1.6
      See Also:
        Constant Field Values

    - #### SYMBOLIC_VARIABLE_NEVER_REFERENCED

          public static final java.lang.String SYMBOLIC_VARIABLE_NEVER_REFERENCED

      See Also:
        Constant Field Values

    - #### SYMBOLIC_VARIABLE_NO_POSITIVE_REFERENCE

          public static final java.lang.String SYMBOLIC_VARIABLE_NO_POSITIVE_REFERENCE

      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE_REFERENCED_ONCE

          public static final java.lang.String LOCAL_VARIABLE_REFERENCED_ONCE

      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE_READONLY

          public static final java.lang.String LOCAL_VARIABLE_READONLY

      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE_QUANTIFIED_REFERENCE

          public static final java.lang.String LOCAL_VARIABLE_QUANTIFIED_REFERENCE

      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE_NO_POSITIVE_REFERENCE

          public static final java.lang.String LOCAL_VARIABLE_NO_POSITIVE_REFERENCE

      See Also:
        Constant Field Values

    - #### ANONYM_VARIABLE_MULTIPLE_REFERENCE

          public static final java.lang.String ANONYM_VARIABLE_MULTIPLE_REFERENCE

      See Also:
        Constant Field Values

    - #### DUBIUS_VARIABLE_NAME

          public static final java.lang.String DUBIUS_VARIABLE_NAME

      See Also:
        Constant Field Values

    - #### NEGATIVE_PATTERN_CALL_WITH_ONLY_SINGLE_USE_VARIABLES

          public static final java.lang.String NEGATIVE_PATTERN_CALL_WITH_ONLY_SINGLE_USE_VARIABLES

      See Also:
        Constant Field Values

    - #### RECURSIVE_PATTERN_CALL

          public static final java.lang.String RECURSIVE_PATTERN_CALL

      See Also:
        Constant Field Values

    - #### INVALID_AGGREGATE_CONTEXT

          public static final java.lang.String INVALID_AGGREGATE_CONTEXT

      Since:
        1.4
      See Also:
        Constant Field Values

    - #### INVALID_AGGREGATOR

          public static final java.lang.String INVALID_AGGREGATOR

      Since:
        1.4
      See Also:
        Constant Field Values

    - #### INVALID_AGGREGATOR_PARAMETER

          public static final java.lang.String INVALID_AGGREGATOR_PARAMETER

      Since:
        1.4
      See Also:
        Constant Field Values

    - #### UNEXPECTED_AGGREGATE

          public static final java.lang.String UNEXPECTED_AGGREGATE

      Since:
        1.4
      See Also:
        Constant Field Values

    - #### DUPLICATE_IMPORT

          public static final java.lang.String DUPLICATE_IMPORT

      See Also:
        Constant Field Values

    - #### MISSING_PACKAGE_IMPORT

          public static final java.lang.String MISSING_PACKAGE_IMPORT

      See Also:
        Constant Field Values

    - #### IMPORT_WITH_GENERATEDCODE

          public static final java.lang.String IMPORT_WITH_GENERATEDCODE

      See Also:
        Constant Field Values

    - #### IMPORT_DEPENDENCY_MISSING

          public static final java.lang.String IMPORT_DEPENDENCY_MISSING

      See Also:
        Constant Field Values

    - #### INVALID_ENUM_LITERAL

          public static final java.lang.String INVALID_ENUM_LITERAL

      See Also:
        Constant Field Values

    - #### SINGLEUSE_PARAMETER

          public static final java.lang.String SINGLEUSE_PARAMETER

      See Also:
        Constant Field Values

    - #### PARAMETER_TYPE_INVALID

          public static final java.lang.String PARAMETER_TYPE_INVALID

      See Also:
        Constant Field Values

    - #### PARAMETER_TYPE_AMBIGUOUS

          public static final java.lang.String PARAMETER_TYPE_AMBIGUOUS

      Since:
        1.3
      See Also:
        Constant Field Values

    - #### VARIABLE_TYPE_INVALID_ERROR

          public static final java.lang.String VARIABLE_TYPE_INVALID_ERROR

      See Also:
        Constant Field Values

    - #### VARIABLE_TYPE_INVALID_WARNING

          public static final java.lang.String VARIABLE_TYPE_INVALID_WARNING

      See Also:
        Constant Field Values

    - #### VARIABLE_TYPE_MULTIPLE_DECLARATION

          public static final java.lang.String VARIABLE_TYPE_MULTIPLE_DECLARATION

      See Also:
        Constant Field Values

    - #### LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_COMPARE

          public static final java.lang.String LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_COMPARE

      See Also:
        Constant Field Values

    - #### LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATH_EXPRESSION

          public static final java.lang.String LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATH_EXPRESSION

      See Also:
        Constant Field Values

    - #### LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATTERN_CALL

          public static final java.lang.String LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATTERN_CALL

      See Also:
        Constant Field Values

    - #### CARTESIAN_SOFT_WARNING

          public static final java.lang.String CARTESIAN_SOFT_WARNING

      See Also:
        Constant Field Values

    - #### CARTESIAN_STRICT_WARNING

          public static final java.lang.String CARTESIAN_STRICT_WARNING

      See Also:
        Constant Field Values

    - #### CHECK_CONSTRAINT_SCALAR_VARIABLE_ERROR

          public static final java.lang.String CHECK_CONSTRAINT_SCALAR_VARIABLE_ERROR

      See Also:
        Constant Field Values

    - #### IDENTIFIER_AS_KEYWORD

          public static final java.lang.String IDENTIFIER_AS_KEYWORD

      See Also:
        Constant Field Values

    - #### FEATURE_NOT_REPRESENTABLE

          public static final java.lang.String FEATURE_NOT_REPRESENTABLE

      See Also:
        Constant Field Values

    - #### SURROGATE_QUERY_EXISTS

          public static final java.lang.String SURROGATE_QUERY_EXISTS

      See Also:
        Constant Field Values

    - #### MISSING_PARAMETER_TYPE

          public static final java.lang.String MISSING_PARAMETER_TYPE

      See Also:
        Constant Field Values

    - #### JDK_NOT_ON_CLASSPATH

          public static final java.lang.String JDK_NOT_ON_CLASSPATH

      See Also:
        Constant Field Values

    - #### IQR_NOT_ON_CLASSPATH

          public static final java.lang.String IQR_NOT_ON_CLASSPATH

      See Also:
        Constant Field Values

    - #### TYPE_NOT_ON_CLASSPATH

          public static final java.lang.String TYPE_NOT_ON_CLASSPATH

      Since:
        1.3
      See Also:
        Constant Field Values

    - #### DEPRECATION

          public static final java.lang.String DEPRECATION

      Since:
        2.0
      See Also:
        Constant Field Values

    - #### AGGREGATED_FEATURE_CHAIN

          public static final java.lang.String AGGREGATED_FEATURE_CHAIN

      Since:
        2.0
      See Also:
        Constant Field Values

    - #### OTHER_ISSUE

          public static final java.lang.String OTHER_ISSUE

      See Also:
        Constant Field Values

    - #### INVALID_EXECUTION_TYPE

          public static final java.lang.String INVALID_EXECUTION_TYPE

      Since:
        2.7
      See Also:
        Constant Field Values

    - #### JAVA_TYPE_PREFIX

          public static final java.lang.String JAVA_TYPE_PREFIX

      This prefix is used to distinguish between Java and EMF parameter type proposals
      Since:
        1.4
      See Also:
        Constant Field Values